# 📚 NLPSTACK

[![Actions Status](https://github.com/altescy/nlpstack/workflows/CI/badge.svg)](https://github.com/altescy/nlpstack/actions/workflows/ci.yml)
[![Python version](https://img.shields.io/pypi/pyversions/nlpstack)](https://github.com/altescy/nlpstack)
[![pypi version](https://img.shields.io/pypi/v/nlpstack)](https://pypi.org/project/nlpstack/)
[![License](https://img.shields.io/github/license/altescy/nlpstack)](https://github.com/altescy/nlpstack/blob/master/LICENSE)

A Python Library for Natural Language Processing

NLPSTACK is a Python library designed to make natural language processing (NLP) tasks more accessible and efficient.
With its key features listed below, NLPSTACK aims to become a go-to resource for developers working in NLP:

- Built on top of PyTorch, NLPSTACK offers ready-to-use modules for a seamless NLP experience.
- Provides a scikit-learn-compatible interface, ensuring familiar and easy usage.
- Allows for seamless integration of models provided by the Transformers library, enabling the use of powerful pre-trained models in your NLP workflows.
- Adopts a dependency injection design pattern, which ensures high extensibility and makes it easy to modify specific processes.
- 🚧 **Currently in its early development stage**, NLPSTACK plans to offer user-friendly interfaces for a wide range of NLP tasks in the future, including text classification, sequence labeling, and language model training.
